---
title: "Retrieve PY Union Pay Rates By Code"
slug: "retrieve-py-union-pay-rates-by-code"
updated: 2026-05-26T12:53:14Z
published: 2026-05-26T12:53:48Z
canonical: "developers.cmicglobal.com/retrieve-py-union-pay-rates-by-code"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developers.cmicglobal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve PY Union Pay Rates By Code

Get/hcm-rest-api/rest/1/pyunipayrate

## Query Standards

### Finder

Following row finders are available for data filtering and optimizing request performance.

- Find By Code
- By UUID

#### Find By Code

Recommended finder parameters. Refer to Query Parameters for example.

| Parameter | Description | Sample |
| --- | --- | --- |
| EffDate | Effective Date | 2023-12-27 |
| UniCode | Union Code | 101 |
| TrdCode | Trade Code | U001 |

#### By VUUID

This is an optional finder for querying a specific Union Pay Rate by its Row ID.

| Parameter | Description | Sample |
| --- | --- | --- |
| /VUUID | The VUuid attribute is the Unique row ID | /hcm-rest-api/rest/1/pyunipayrate/D2B74689802A55A0E05316821FAC2767 |

SecurityHTTPType basic

Basic authentication

Query parametersfinderstringExampleselectByCode; EffDate=2018-06-01,TrdCode=U001,UniCode=101
limitintegerExample500
offsetintegerExample0
totalResultsbooleanExampletrue
orderBystringExampleUprVUuid:desc

Responses200

OK

HeadersContent-TypestringExampleapplication/vnd.oracle.adf.resourcecollection+json
<select class='api-response-data' aria-label='Media type'><option value='3634941a-a55a-4e91-8e8a-47ae85cfe5ef'>application/json</option>
</select>

```json
{
  "items": [
    {
      "UprCompCode": "001",
      "UprUniCode": "101",
      "UprTrdCode": "U001",
      "UprTrdName": "Carpenter",
      "UprWorklocCode": "*",
      "UprShiftCode": "D",
      "UprEffectiveDate": "2018-06-01",
      "UprPayRate": 22.5,
      "UprOtDotPayMultiFlag": "N",
      "UprChargeOutRate": 24.1,
      "UprOtDotChargeMultiFlag": "N",
      "UprBillingRate": 25,
      "UprOtDotBillMultiFlag": "N",
      "UprPrevailingWageRate": null,
      "UprDotChargeRate": null,
      "UprDotBillRate": null,
      "UprOtChargeRate": null,
      "UprOtBillRate": null,
      "UprOtPayRate": null,
      "UprDotPayRate": null,
      "UprJobCode": "*",
      "UprPhsCode": "*",
      "UprCatCode": "*",
      "UprSectorCode": "*",
      "UprSectorName": "All Sectors",
      "UprScheduleCode": "*",
      "UprScheduleName": "All Schedules",
      "UprEmpNo": "ALL",
      "UprEmpName": "All Employees",
      "UprUser": "BILL",
      "UprLastUpdDate": "2019-01-16T01:51:15Z",
      "UprIuCreateDate": "2019-01-16T01:51:15Z",
      "UprIuUpdateDate": null,
      "UprVUuid": "D2B74689802A55A0E05316821FAC2767",
      "links": [
        {
          "rel": "self",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/hcm-rest-api/rest/1/pyunipayrate/D2B74689802A55A0E05316821FAC2767",
          "name": "pyunipayrate",
          "kind": "item"
        },
        {
          "rel": "canonical",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/hcm-rest-api/rest/1/pyunipayrate/D2B74689802A55A0E05316821FAC2767",
          "name": "pyunipayrate",
          "kind": "item"
        }
      ]
    }
  ],
  "count": 1,
  "hasMore": false,
  "limit": 5,
  "offset": 0,
  "links": [
    {
      "rel": "self",
      "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/hcm-rest-api/rest/1/pyunipayrate",
      "name": "pyunipayrate",
      "kind": "collection"
    }
  ]
}
```

object
